Changelog
///////////////////////////////////////////////////////////////////////////////////////////////////////////
2017.11.13 1.1.0.1
1, Fixed bug: It shows you are connecting to a ss proxy when you are connecting to a SOCKS 5 proxy.
2, Added support for: Battle filed1, Battle field 3, World-of-warcraft, Tom-Clancy's-Rainbow-Six-Siege, StarCraft-II, Overwatch, Heroes-of-the-Storm, Hearth-stone

2017.11.10 1.0.9.8
1, Fixed a problem that could cause a memory leak when failed connect to an node.
2, Fixed a problem that may cause the local network breakdown when the UDP is not available.
3, Supported SSH2 as a proxy.

2017.11.3 1.0.9.7
1, Fixed a bug that may cause socket not being closed when you are using socks 4/5 proxy.
( Thanks to user AH**H from Russia )
2, Provide an option to reduce TCP delayed ACK. ( In the settings dialog )
< This option can reduce the latency of some TCP-based games about 50-100ms >

2017.10.29 1.0.9.6
1,  Merged rule file of Playerunknown's Battlegrounds to one file.
2, Supported http proxy
3, Fixed a bug that may exist when Unbound starts
4, Fixed a bug that may cause the program to crash when exiting

2017.10.25 1.0.9.3
1, 修正安裝程序在某些系統下崩潰的問題(感謝網友eld**ng指出)
2, 鑒于較多網友反饋的DNS LEAK所以還是將tap網卡的躍點修改得更低
3, 優化UDP轉發代碼邏輯, 解決udp延遲比sockscap64多出15-20ms的問題
[ 詳情： http://bit.ly/2yHvMvd ]

2017.10.21 1.0.9.2
1, 解決某些情況下透過代理仍無法更新訂閱的問題
2, 更新智能DNS分流的本地解析域名列表

2017.10.19 1.0.9.1
1, 優化自動更新機制
2, 更新中國區IP列表
3, 添加代規則時行數統計無效
4, 某些情況下程序啟動后無限Crash (感謝網友Xia***ing 反饋并提供遠環境找Bug)
5, 加入絕地求-生亞/東南亞/美/澳/歐服代理規則 (beta)

2017.10.18 1.0.9.0
1, 修正DNS分流的一個BUG

2017.10.18 1.0.8.9
1, 編輯代理模式規則時程序出錯的BUG
2, 修改代理模式規則超長時無法再輸入的BUG

2017.10.18 1.0.8.7
1, 解决当无法请求域名时出现的一些功能无法使用的BUG
2, DNS可选腾讯DNS
3, 如果订阅中所有链接都删后不会清空代理列表的BUG
4, 修改节点PING可能导至的程序崩溃问题
5, 节点过多导至程序启动时卡死或出错
6, 采用DNSPOS的做为分流默认DNS
7, 界面调整 
8, 改了网络连接逻辑，连接速度更快。

2017.10.06 1.0.8.6
1, 支持在线升级
2, 支持DNS分流
3, 安装包运行检测程序是否在运行中，如果处于运行中则先退出正在运行的程序
4, 批量导入支持|分隔,网友( St**l )要求
5, 支持通過代理來更新SSR訂閱
6, 修复当SSR订阅无法更新到节点时可能导的程序崩溃
7, 解决将ssr链接加入到SOCKS5窗体中导至程序出错的bug
8, 修正位于主窗體中代理列表顯示的BUG
9, 修正本地socks 5服務中一個帳戶認帳BUG
10, 去掉設置中的網卡選擇功能（已無實際作用）

2017.09.07 1.0.8.5
1, 修正添加127.0.0.1代理，在连接时程序崩溃的问题 
2, 支持一种特别的SS链接格式
3, 支持直接将SSCAP的gui-config.json文件拷贝到SSTAP改名为proxylist.json直接使用

2017.09.04 1.0.8.4
1, 订阅更新时可能导至的OBFS参数丢失会错乱问题
2, 添加订阅默认多出一个错乱参数

2017.09.04 1.0.8.3
1, 节点服务器突然断开导至连接数爆增之后有可能导至即使切点恢复也连不上此节点
2, 节点服务器突然断开导至连接数爆增之后有可能导至无法断开连接
3, 可以让用户修改SSR订阅的信息（频率）
4, 订阅时可以设置默认OBFS参数功能
5, 其它小修改及功能调整

2017.09.02 1.0.8.2
1, AEAD存在BUG导至某些不稳定的节点无法使用(第一次连接失败之后亦会失败)

2017.09.02 1.0.8.1
1, 断开连接时可能产生的程序崩溃错误
2, 当线路不好时为了程序维持正常运行而可能导至的路由错乱
3, 安装时无法自动匹配到上次安装目录

2017.09.01 1.0.7.9
1, 支持一些另类的ss链接的解析
2, SS链接包含备注信息时无法解析到
3, 处理某些SS链接中的节点服务器地址含有空格的问题 
4, 高DPI下的界面显示效果调整
5, 优化数据转发逻辑, 减少延迟影响

2017.08.20 1.0.7.8
1, 通过SS链接加入的节点无法误别出AEAD加密
2, 解决上一版本中的代理模式失效问题
3, 路由管理改进

2017.08.19 1.0.7.7
1, 修改上一版中的节点连接混乱问题
2, 节 点列表图标显示怪异
3, 事件管理无法删除

2017.08.19 1.0.7.6
1, 增加AEAD支持( aes-128/192/256-gcm, chacha20-ietf-poly1305,xchacha20ietfpoly1305)
2, 节点列表分组显示
3, 底层逻辑调整 

2017.0817 1.0.7.5
1, 增加连接后自动隐藏主窗体的选项(位于设置中)
2,  应网友要求，测试时将节点信息隐藏
3, 加入事件管理(目前支持連接，斷開事件)
4, 解決AuthChinaA/B的偶然斷線問題 
5, 程序启动时本地网络尚未初始化导至的“基础路由缺失”错 误
6, 修改某些机器无法安装TAP驱动的问题 
7, 修改BUG: 开机启动无法删除
8, 優化網絡傳輸（跳PING的可以觀察一下是否有改善）

2017.07.30 1.0.7.3
1, 添加 AuthChainB支持
2, 添加开机启动
3, 添加程序运行后自动连接功能
4, 可以设置更新节点订阅的更新频率
5, 修正一个可能导至路由添加失败的小BUG
6, 修正使用SOCKS 5代理（或添加127.0.0.1）玩游戏时有可能会不定时断线(感谢俄罗斯网友AHTOH指出)

2017.07.26 1.0.7.2
1, OBFS有参数情况下可能导至程序出错
2, 添加‘仅代理中国IP“模式

2017.07.25 1.0.7.1
1,  修改存在多块虚拟TUN网卡时的识别错误的问题 

2017.07.25 1.0.7.0
1,   网友Bear Tinch Twitter: @tinchbear 提供台湾繁体语言
2,  加入“仅代理浏览器模式”
3, 加入“节点订阅功能”
4,  启动程序恢复上次使用的模式
5, 加快获取节点PING值的速度
6,  修改BUG： 实时速度只能1M,2M,3M的整数倍显示
7,  修改BUG：Tls1.2TicketAuth发送Client Hello时随机产生TLS协议错误( 感谢Github网友kxmp细致的发现这个错误并指出 )
8,  修改BUG：与某些版本的OpenVPN驱动冲突导至启动服务失败
9, 修改BUG：修正Tls1.2TicketAuth, AuthAes128Md5, AuthSha1V4,AuthChainA等可能产生的偶尔连接中断问题

2017.06.27 1.0.6.9
1, 修改协议auth_aes128_md5与其它加密方式组合使用时产生的连接中断问题 

2017.06.22 1.0.6.8
1, 代理不好用时可能导至即使断开连接界面仍然显示1000+连接
2, random_head可能导至程序出错的问题 
3, 使用SSR代理偶尔造成的连接卡顿
4, 更换代理归属地地址库
5, 自动更新主界面代理下拉框中代理所在国家图标
6, libcurl初始化的小问题 

2017.06.22 1.0.6.7
1, 通过原版SS链接添加节点不能识别Origin/Plain
2, 添加节点时rc4-md5 识别为rc4-md5-6
3, 添加127.0.0.1做为自定义DNS断线后再连无网络

2017.06.21 1.0.6.6
1, Auth_chain_A协议带参数情况下UDP无法工作

2017.06.21 1.0.6.5
1, 修改无法添加Obfs参数问题 

2017.06.21 1.0.6.4
1,  添加SSR协议及混淆支持。origin/auth_sha1_v4/auth_aes128_md5/auth_aes128_sha1/auth_chain_a, plain/http_simple/http_post/random_head/tls1.2_ticket_auth
2,  添加新的加密方式  none/aes-128-ctr/aes-192-ctr/aes-256-ctr/rc4-md5-6/Camellia-128-cfb/Camellia-192-cfb/Camellia-256-cfb
3, 可以使用自定义DNS
4, 通过SS/SSR链接批量添加
5, 添加节点时可以指定添加后立即使用
6, 高DPI下界面显示错乱的问题 
7, 流量只会显示整G整M的问题
8, 如果添加的127的本地代理而又未添加附加路时时断开连接后再次连接无网络
9,  编改节点服务器信息后仍然显示原先节点的统计信息
10 编改节点服务器信息后连接后无网络
11, 修改SSR的转发逻辑
12,断开连接的速度有所提高

设置中改变DNS后当前显示的DNS未改变
最最小化按扭仅最小化，点关闭按扭才缩到系统托盘
有些用户将127.0.0.1添加到附加路由导至无法上网


2017.06.03 1.0.6.2
修正设置中本地网卡显示错误的问题 。
更新中国区域IP列表
xp下无法 启动的问题 。
改进TCP测试结果，解决一些中国节点无法通过TCP测试的问题 。

2017.06.01 1.0.6.1
改进SS协议
设置中加入功能：“当使用SS代理时为每个UDP重新生成IV”，libev版本的SS服务器必选，其它版本的SS服务器可选
添加节点时支持ssr://开头的ss link

2017.05.31 1.0.6
win 10 dns leak问题 
本地远程版本对比功能改进

2017.05.29 1.0.5
Resolved conflict with Thunder virtual network interface
Improved UDP test results.
Improved SOCKS 5 protocol
Improved the logic of the local proxy.
Other optimization.

2017.05.27 1.0.4
解决和其它程序的虚拟网卡产生冲突的一个问题 。
解决SOCKS 5代理的帐号名无法保存的问题 。
修改SOCKS 5代理的逻辑，SOCKS5类型代理下速度有提升。

2017.05.24 1.0.3
增强UDP测试。
安装包检测驱动是否安装正确，已正确安装则不再安装。

2017.05.23 1.0.2
本版本开始添加本地代理不再强制要求添加附加路由（但仍然建议添加）
流量统计改进，更精确


2017.5.21 1.0.1
路由管理逻辑更改，解决之前存在路由添加不成功的问题 
程序有时候信息提示错乱
环路路由错误导至无法上网
逻辑修改：以游戏目的为主，网友方面功能有些减弱（主要是DNS LEAK)

2017.5.16 1.0 
1, First edition.
2, Support TCP and udp
2, Support SOCKS4,5,SHADOWSOCKS